Page MenuHomePhabricator

cloudvps: tools and toolsbeta trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the tools and toolsbeta project need to upgrade as soon as possible.

The list of affected VMs is:

tools-bastion-02.tools.eqiad.wmflabs
tools-bastion-03.tools.eqiad.wmflabs
tools-bastion-05.tools.eqiad.wmflabs
tools-checker-01.tools.eqiad.wmflabs
tools-checker-02.tools.eqiad.wmflabs
tools-cron-01.tools.eqiad.wmflabs
tools-exec-1401.tools.eqiad.wmflabs
tools-exec-1402.tools.eqiad.wmflabs
tools-exec-1403.tools.eqiad.wmflabs
tools-exec-1404.tools.eqiad.wmflabs
tools-exec-1405.tools.eqiad.wmflabs
tools-exec-1406.tools.eqiad.wmflabs
tools-exec-1407.tools.eqiad.wmflabs
tools-exec-1408.tools.eqiad.wmflabs
tools-exec-1409.tools.eqiad.wmflabs
tools-exec-1410.tools.eqiad.wmflabs
tools-exec-1411.tools.eqiad.wmflabs
tools-exec-1412.tools.eqiad.wmflabs
tools-exec-1413.tools.eqiad.wmflabs
tools-exec-1414.tools.eqiad.wmflabs
tools-exec-1415.tools.eqiad.wmflabs
tools-exec-1416.tools.eqiad.wmflabs
tools-exec-1417.tools.eqiad.wmflabs
tools-exec-1418.tools.eqiad.wmflabs
tools-exec-1419.tools.eqiad.wmflabs
tools-exec-1420.tools.eqiad.wmflabs
tools-exec-1421.tools.eqiad.wmflabs
tools-exec-1422.tools.eqiad.wmflabs
tools-exec-1423.tools.eqiad.wmflabs
tools-exec-1424.tools.eqiad.wmflabs
tools-exec-1425.tools.eqiad.wmflabs
tools-exec-1426.tools.eqiad.wmflabs
tools-exec-1427.tools.eqiad.wmflabs
tools-exec-1428.tools.eqiad.wmflabs
tools-exec-1429.tools.eqiad.wmflabs
tools-exec-1430.tools.eqiad.wmflabs
tools-exec-1431.tools.eqiad.wmflabs
tools-exec-1432.tools.eqiad.wmflabs
tools-exec-1433.tools.eqiad.wmflabs
tools-exec-1434.tools.eqiad.wmflabs
tools-exec-1435.tools.eqiad.wmflabs
tools-exec-1436.tools.eqiad.wmflabs
tools-exec-1437.tools.eqiad.wmflabs
tools-exec-1438.tools.eqiad.wmflabs
tools-exec-1439.tools.eqiad.wmflabs
tools-exec-1440.tools.eqiad.wmflabs
tools-exec-1441.tools.eqiad.wmflabs
tools-exec-1442.tools.eqiad.wmflabs
tools-exec-gift-trusty-01.tools.eqiad.wmflabs
tools-grid-master.tools.eqiad.wmflabs
tools-grid-shadow.tools.eqiad.wmflabs
tools-mail.tools.eqiad.wmflabs
tools-services-01.tools.eqiad.wmflabs
tools-services-02.tools.eqiad.wmflabs
tools-webgrid-generic-1401.tools.eqiad.wmflabs
tools-webgrid-generic-1402.tools.eqiad.wmflabs
tools-webgrid-generic-1403.tools.eqiad.wmflabs
tools-webgrid-generic-1404.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1401.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1402.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1403.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1404.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1405.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1406.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1407.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1408.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1409.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1410.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1411.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1412.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1413.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1414.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1415.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1416.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1417.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1418.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1419.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1420.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1421.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1422.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1424.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1425.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1426.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1427.tools.eqiad.wmflabs
tools-webgrid-lighttpd-1428.tools.eqiad.wmflabs
toolsbeta-bastion-01.toolsbeta.eqiad.wmflabs
toolsbeta-exec-1401.toolsbeta.eqiad.wmflabs
toolsbeta-grid-master.toolsbeta.eqiad.wmflabs
toolsbeta-webgrid-generic-1401.toolsbeta.eqiad.wmflabs
toolsbeta-webgrid-lighttpd-1401.toolsbeta.eqiad.wmflabs

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/tools https://tools.wmflabs.org/openstack-browser/project/toolsbeta and https://tools.wmflabs.org/openstack-browser/project/tools https://tools.wmflabs.org/openstack-browser/project/tools

A lot of the work in this is linked to gridengine upgrades.

Related Objects

StatusAssignedTask
ResolvedBstorm
ResolvedBstorm
Resolvedaborrero
Resolvedhashar
DeclinedBstorm
Resolvedaborrero
Resolvedaborrero
InvalidNone
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
Resolvedaborrero
ResolvedBstorm
Resolvedbd808
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
Resolvedbd808
Resolvedvalhallasw
Resolvedbd808
ResolvedBstorm
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedBstorm
ResolvedChicocvenancio

Event Timeline

Bstorm created this task.Sep 17 2018, 1:45 PM
Bstorm triaged this task as Normal priority.
Bstorm claimed this task.
Bstorm added a subscriber: aborrero.
Bstorm updated the task description. (Show Details)Sep 17 2018, 5:46 PM
Bstorm updated the task description. (Show Details)

Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

bd808 updated the task description. (Show Details)Jan 9 2019, 9:32 PM
Legoktm removed a subscriber: Legoktm.Jan 15 2019, 2:17 AM
GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:11 PM
Bstorm closed this task as Resolved.Apr 17 2019, 9:58 PM